Summary: emi.fts.delegation-cli
Name: delegation-cli
Version:
Release:
License: Apache Software License
Vendor: EMI
Group: System Environment/Libraries
BuildRequires: CGSI_gSOAP_2.7
BuildRequires: util-c
BuildRequires: gridsite-devel
BuildRequires: delegation-api-c
BuildRequires: gsoap
BuildRequires: glib2-devel
BuildRequires: lcgutil-build-common-cpp
BuildRequires: glite-build-common-cpp
BuildRequires: openldap-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt
BuildRequires: docbook-style-xsl
BuildRequires: doxygen
BuildRequires: libtool
BuildRequires: globus-common-progs
BuildRequires: globus-gsi-sysconfig-devel
BuildRequires: globus-gssapi-gsi-devel
BuildRequires: globus-gss-assist-devel
BuildRequires: CGSI-gSOAP-devel
BuildRequires: is-interface-devel
Requires: util-c
Requires: CGSI_gSOAP_2.7
Requires: delegation-api-c
BuildRoot: %{_builddir}/%{name}-root
AutoReqProv: yes
Source: %{name}-%{version}.tar.gz

%description
Command line interface and simple API for the GridSite delegation services.

%prep
 

%setup -c

%build
mkdir -p src/autogen; aclocal -I /usr/share/emi/build/m4 -I /share/build/m4;  libtoolize --force; autoheader; automake --foreign --add-missing --copy; autoconf
./configure --prefix=%{buildroot}/usr --with-version=%{version} --with-dist-location=%{buildroot}/usr --with-glite-location=/usr --with-cgsi-gsoap-location=/ --with-gridsite-prefix=/usr --with-emi
 make all
  
  

%install
# rpath problems from libtool 
QA_SKIP_BUILD_ROOT=1; export QA_SKIP_BUILD_ROOT
rm -rf %{buildroot}
 mkdir -p %{buildroot}
 mkdir -p %{buildroot}/usr; make install
 find %{buildroot} -name '*.la' -exec rm -rf {} \;
 find %{buildroot} -name '*.pc' -exec sed -i -e "s|%{buildroot}||g" {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libglite_data_delegation_api_simple_c.a
%{_libdir}/libglite_data_delegation_api_simple_c.so.*
%{_libdir}/libglite_data_delegation_api_simple_c.so
%{_bindir}/glite-delegation-destroy
%{_bindir}/glite-delegation-init
%{_bindir}/glite-delegation-info
%{_bindir}/test-glite-delegation-bug-33641
%dir %{_includedir}/glite/
%dir %{_includedir}/glite/data/
%dir %{_includedir}/glite/data/delegation/
%dir %{_includedir}/glite/data/delegation/c/
%{_includedir}/glite/data/delegation/c/delegation-simple.h
%{_mandir}/man1/glite-delegation-destroy.1.gz
%{_mandir}/man1/glite-delegation-info.1.gz
%{_mandir}/man1/glite-delegation-init.1.gz
%dir %{_defaultdocdir}/glite-data-delegation-cli/
%{_defaultdocdir}/glite-data-delegation-cli/RELEASE-NOTES
%dir %{_defaultdocdir}/glite-data-delegation-cli/html/
%{_defaultdocdir}/glite-data-delegation-cli/html/glite-delegation-info.1.html
%{_defaultdocdir}/glite-data-delegation-cli/html/index.html
%{_defaultdocdir}/glite-data-delegation-cli/html/glite-delegation-init.1.html
%{_defaultdocdir}/glite-data-delegation-cli/html/glite-delegation-destroy.1.html
%{_defaultdocdir}/glite-data-delegation-cli/LICENSE
%dir %{_defaultdocdir}/glite-data-delegation-cli/apidoc/
%{_defaultdocdir}/glite-data-delegation-cli/apidoc/*

%changelog
 
